Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum JXLabel.TextAlignment

    java.lang.Object
      java.lang.Enum<JXLabel.TextAlignment>
          org.jdesktop.swingx.JXLabel.TextAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JXLabel.TextAlignment>, JXLabel.IValue

Enclosing class:
  JXLabel

    public static enum JXLabel.TextAlignment

extends java.lang.Enum<JXLabel.TextAlignment>
implements JXLabel.IValue

Text alignment enums. Controls alignment of the text when line wrapping is enabled.

Enum Constant Summary
`CENTER`
`JUSTIFY`
`LEFT`
`RIGHT`

Method Summary
`int` | `getValue()`
`static JXLabel.TextAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JXLabel.TextAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final JXLabel.TextAlignment LEFT

### CENTER

    public static final JXLabel.TextAlignment CENTER

### RIGHT

    public static final JXLabel.TextAlignment RIGHT

### JUSTIFY

    public static final JXLabel.TextAlignment JUSTIFY

Method Detail

### values

    public static JXLabel.TextAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JXLabel.TextAlignment c : JXLabel.TextAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JXLabel.TextAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `JXLabel.IValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.